Get all folders
curl --request GET \
--url https://api.vantage.sh/v2/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"links": {
"self": "https://api.vantage.sh/v2/folders",
"first": "https://api.vantage.sh/v2/folders?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/folders?page=1",
"prev": null
},
"folders": [
{
"token": "fldr_baf37f32280f5444",
"title": "synergy",
"parent_folder_token": null,
"created_at": "2023-09-12T05:06:54Z",
"updated_at": "2023-09-12T05:06:54Z",
"workspace_token": "wrkspc_f583a08beb76f679"
},
{
"token": "fldr_625d4591e46f7dfa",
"title": "website",
"parent_folder_token": "fldr_baf37f32280f5444",
"created_at": "2023-09-12T05:06:54Z",
"updated_at": "2023-09-12T05:06:54Z",
"workspace_token": "wrkspc_f583a08beb76f679"
}
]
}Folders
Get all folders
Return all Folders for CostReports.
GET
/
folders
Get all folders
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The page of results to return.
The amount of results to return. The maximum is 1000.
Filter by folder type.
Available options:
CostFolder, ProviderResourceFolder ⌘I